<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>VueJS V2 AJAX | Rimorsoft Online</title>
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
      integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
      crossorigin="anonymous"
    />
  </head>
  <body>
    <div id="main" class="container">
      <div class="row">
        <div class="col-sm-4">
          <h1>Lista VueJS - AJAX</h1>
          <ul class="list-group">
            <li v-for="item in lists" class="list-group-item">
              <!-- {{ item.name.first }} {{ item.name.last }} -->
              {{ item.name }}
            </li>
          </ul>
        </div>
        <div class="col-sm-8">
          <h1>AJAX</h1>
          <pre>
            {{ $data | json }}
          </pre>
        </div>
      </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/vue-resource/1.5.1/vue-resource.min.js"></script>

    <script type="text/javascript">
      // var urlUsers = 'https://randomuser.me/api/?results=10' // https://randomuser.me/
      var urlUsers = 'https://jsonplaceholder.typicode.com/users' // https://jsonplaceholder.typicode.com/
      new Vue({
        el: '#main',
        created: function () {
          this.getUsers()
        },
        data: {
          lists: [],
        },
        methods: {
          getUsers: function () {
            this.$http.get(urlUsers).then(function (response) {
              // this.lists = response.data.results
              this.lists = response.data
            })
          },
        },
      })
    </script>
  </body>
</html>
